config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/xdg/lxqt/session.conf.new
config etc/xdg/lxqt/windowmanagers.conf.new
config etc/xdg/lxqt/lxqt.conf.new

# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
	rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null

if [ -x /usr/bin/glib-compile-schemas ]; then
  /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas/ >/dev/null 2>&1
fi

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi

# A good idea whenever kernel modules are added or changed:
if [ -x sbin/depmod ]; then
  /sbin/depmod -a 1> /dev/null 2> /dev/null
fi

( cd usr/share/lxqt/themes/dark/spacer-plugin ; rm -rf spacer-line.svg )
( cd usr/share/lxqt/themes/dark/spacer-plugin ; ln -sf ../../../graphics/spacer-light-line.svg spacer-line.svg )
( cd usr/share/lxqt/themes/dark/spacer-plugin ; rm -rf spacer-dots.svg )
( cd usr/share/lxqt/themes/dark/spacer-plugin ; ln -sf ../../../graphics/spacer-light-dots.svg spacer-dots.svg )
( cd usr/share/lxqt/themes/kde-plasma/spacer-plugin ; rm -rf spacer-line.svg )
( cd usr/share/lxqt/themes/kde-plasma/spacer-plugin ; ln -sf ../../../graphics/spacer-dark-line.svg spacer-line.svg )
( cd usr/share/lxqt/themes/kde-plasma/spacer-plugin ; rm -rf spacer-dots.svg )
( cd usr/share/lxqt/themes/kde-plasma/spacer-plugin ; ln -sf ../../../graphics/spacer-dark-dots.svg spacer-dots.svg )
( cd usr/share/lxqt/themes/light/spacer-plugin ; rm -rf spacer-line.svg )
( cd usr/share/lxqt/themes/light/spacer-plugin ; ln -sf ../../../graphics/spacer-dark-line.svg spacer-line.svg )
( cd usr/share/lxqt/themes/light/spacer-plugin ; rm -rf spacer-dots.svg )
( cd usr/share/lxqt/themes/light/spacer-plugin ; ln -sf ../../../graphics/spacer-dark-dots.svg spacer-dots.svg )
( cd usr/share/lxqt/themes/ambiance/spacer-plugin ; rm -rf spacer-line.svg )
( cd usr/share/lxqt/themes/ambiance/spacer-plugin ; ln -sf ../../../graphics/spacer-dark-line.svg spacer-line.svg )
( cd usr/share/lxqt/themes/ambiance/spacer-plugin ; rm -rf spacer-dots.svg )
( cd usr/share/lxqt/themes/ambiance/spacer-plugin ; ln -sf ../../../graphics/spacer-dark-dots.svg spacer-dots.svg )
( cd usr/share/lxqt/themes/frost/spacer-plugin ; rm -rf spacer-line.svg )
( cd usr/share/lxqt/themes/frost/spacer-plugin ; ln -sf ../../../graphics/spacer-light-line.svg spacer-line.svg )
( cd usr/share/lxqt/themes/frost/spacer-plugin ; rm -rf spacer-dots.svg )
( cd usr/share/lxqt/themes/frost/spacer-plugin ; ln -sf ../../../graphics/spacer-light-dots.svg spacer-dots.svg )
( cd usr/share/lxqt/graphics ; rm -rf lxqt_logo_doxygen.png )
( cd usr/share/lxqt/graphics ; ln -sf helix_60.png lxqt_logo_doxygen.png )
( cd usr/share/lxqt/graphics ; rm -rf lxqt_logo.png )
( cd usr/share/lxqt/graphics ; ln -sf helix_150.png lxqt_logo.png )
